# Conversion preview

`GET /api/v1/leads/{id}/convert`

Before converting: the suggested company (`match` — the registered company chosen at entry or a name match; `by_link`), the lead's people and their suggested match with the company's contacts (`people`: `i`, `name`, `title`, `phone`, `email`, `main`, `match`, `match_name` — e-mail → name → (no name) phone), the company's open opportunities (`opps`), the new-prospect details (`new_company`) and the new opportunity's stage (`stage`). `converted: true` if already converted.

## Path parameters

| Field | Type | Description |
|---|---|---|
| `id` (required) | integer | Lead id. |

## Response

```json 200
{
  "by_link": true,
  "converted": false,
  "customer": "",
  "customer_id": null,
  "match": {
    "city": "İstanbul",
    "contacts": [
      {
        "email": "selin.dogan@alizepaketleme.example",
        "h": 312,
        "id": 1,
        "ini": "SD",
        "main": true,
        "name": "Selin Doğan",
        "phone": "0 (212) 000 55 24",
        "title": "Satın Alma Müdürü"
      }
    ],
    "here": [],
    "id": 1,
    "initials": "AŞ",
    "n_contacts": 1,
    "n_open": 1,
    "name": "Alize Paketleme San. ve Tic. A.Ş.",
    "opps": [
      {
        "hex": "#8a9ba0",
        "id": 31,
        "name": "Mevcut Müşteri — Yenileme · 2026",
        "stage": "Qualify",
        "value": "403K €"
      }
    ],
    "owner": "Deniz Aksoy",
    "prev": [],
    "sector": "Gıda ambalajı",
    "status": "AC",
    "status_l": "Müşteri",
    "url": "/customers/1",
    "website": "www.alizepaketleme.example"
  },
  "new_company": {
    "city": "",
    "name": "Alize Paketleme San. ve Tic. A.Ş.",
    "status": "Prospect"
  },
  "ok": true,
  "opp_id": null,
  "opps": [
    {
      "id": 31,
      "name": "Mevcut Müşteri — Yenileme · 2026",
      "stage": "Qualify"
    }
  ],
  "people": [
    {
      "email": "",
      "i": 0,
      "main": true,
      "match": null,
      "match_name": "",
      "name": "Selin Kaya",
      "phone": "",
      "title": ""
    },
    {
      "email": "",
      "i": 1,
      "main": false,
      "match": null,
      "match_name": "",
      "name": "Emre Tan",
      "phone": "+90 532 444 55 66",
      "title": "Ar-Ge"
    }
  ],
  "stage": "Qualify"
}
```
